gocek/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('helloworld.urls')),
    path('hiburan/', include('hiburan.urls')),
    path('pasar/', include('pasar_zaldy.urls')),
    path('rumah-sakit/', include('rumah_sakit.urls')),
    path('restoran/', include('restoran.urls')),
    path('account/', include('sistemlogin.urls')),
]

helloworld/urls.py
from django.urls import path
from . import views


app_name = 'hello_world'

urlpatterns = [
    path('', views.index, name='index'),
    path('cektempat/', views.cek_tempat, name='cek_tempat'),
    path('bagiinformasi/', views.bagi_informasi, name='bagi_informasi'),
    
]

hiburan/urls.py
from django.urls import path
from . import views


app_name = 'hiburan'

urlpatterns = [
    path('', views.index, name='index'),
    path('addTempat/', views.addTempat, name='addTempat'),
    path('<int:id>/addFoto/', views.addFoto, name='addFoto'),
    path('detail/<int:id>/', views.detail, name='detail'),
    path('<int:id>/update/', views.update, name='update'),

]

pasar_zaldy/urls.py
from django.urls import path
from . import views

app_name = 'pasar_zaldy'

urlpatterns = [
    path('', views.pasar_mainpage, name='pasar_mainpage'),
    path('tambah/', views.pasar_tambah, name='pasar_tambah'),
    path('<int:id>/tambahpenjual/', views.penjual_tambah, name='penjual_tambah'),
    path('<int:id>/updatepasar/', views.pasar_update, name='pasar_update'),
    path('detail/<int:id>/', views.pasar_detail, name='pasar_detail'),
    
]

restoran/urls.py
from django.urls import path
from . import views

app_name = 'restoran'

urlpatterns = [
    path('', views.index, name='index'),
    path('add/', views.add, name='add'),
    path('add-food/<str:id>', views.add_food, name='add_food'),
    path('detail/<str:id>', views.detail, name='detail'),
    path('update/<str:id>', views.update, name='update'),

]

rumah_sakit/urls.py
from django.urls import path
from . import views
from .views import *

app_name = 'rumah_sakit'

urlpatterns = [
    path('', views.index, name='index'),
    path('tambah-rs/', views.tambahRS, name='tambahRS'),
    path('update-rumah-sakit/<int:pk>/', views.updateRS, name='updateRS'),
    path('detail-rumah-sakit/<int:pk>/', views.detailRS, name='detailRS'),
    path('detail-rumah-sakit/<int:pk>/tambah-dokter/', views.tambahDokter, name='tambahDokter'),
]

helloworld/models.py
from django.db import models

# Create your models here.

helloworld/views.py
from django.shortcuts import render

# Create your views here.

def index(request):
    return render(request, 'helloworld/index.html')

def cek_tempat(request):
    return render(request, 'helloworld/cek_tempat.html')

def bagi_informasi(request):
    return render(request, 'helloworld/bagi_informasi.html')

templates/helloworld/bagi_informasi.html
{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <title>Cek Tempat</title>
{% endblock %}
{% block headercontent %}
    <span style="font-size: 70px; line-height: normal;">Bagi Informasi</span>
{% endblock %}
{% block content %}

    <br><br>
    <div class="container" style="margin: auto;">
        <div class="row justify-content-center ">
            <div class="card text-dark align-items-center m-5"
                 style="background-color: #fafafa; width: 20rem; box-shadow: 1px 5px 5px 0 rgba(0,0,0,0.2); margin-right: 50px; margin-bottom: 50px; max-width: 100%; align-content: center; border-radius: 10px ;">


                <div class="card-body">
                    <!--foto -->
                    <img class="card-img-top border-0" src="{% static 'makan.png' %}" alt="Foto Pasar">
                    <div class="text-center"><a id="detail" href="{% url 'restoran:add' %}"
                                                class="btn btn-primary"
                                                style="border-radius: 20px;margin-top: 20px;  width: 18rem;">Bagi
                        Informasi Restoran</a></div>
                </div>

            </div>

            <div class="card text-dark align-items-center m-5"
                 style="background-color: #fafafa; width: 20rem; box-shadow: 1px 5px 5px 0 rgba(0,0,0,0.2); margin-right: 50px; margin-bottom: 50px; max-width: 100%; align-content: center; border-radius: 10px ;">


                <div class="card-body">
                    <!--foto -->
                    <img class="card-img-top border-0" src="{% static 'belanja.png' %}" alt="Foto Pasar">
                    <div class="text-center"><a id="detail" href="{% url 'pasar_zaldy:pasar_tambah' %}"
                                                class="btn btn-primary"
                                                style="border-radius: 20px; margin-top: 20px;  width: 18rem;">Bagi
                        Informasi Pasar</a></div>
                </div>

            </div>

            <div class="card text-dark align-items-center m-5"
                 style="background-color: #fafafa; width: 20rem; box-shadow: 1px 5px 5px 0 rgba(0,0,0,0.2); margin-right: 50px; margin-bottom: 50px; max-width: 100%; align-content: center; border-radius: 10px ;">


                <div class="card-body">
                    <!--foto -->
                    <img class="card-img-top border-0" src="{% static 'sakit.png' %}" alt="Foto Pasar">
                    <div class="text-center"><a id="detail" href="{% url 'rumah_sakit:tambahRS' %}"
                                                class="btn btn-primary"
                                                style="border-radius: 20px;margin-top: 20px;  width: 18rem;">Bagi
                        Informasi Rumah Sakit</a></div>
                </div>

            </div>

            <div class="card text-dark align-items-center m-5"
                 style="background-color: #fafafa; width: 20rem; box-shadow: 1px 5px 5px 0 rgba(0,0,0,0.2); margin-right: 50px; margin-bottom: 50px; max-width: 100%; align-content: center; border-radius: 10px ;">


                <div class="card-body">
                    <!--foto -->
                    <img class="card-img-top border-0" src="{% static 'main.png' %}" alt="Foto Pasar">
                    <div class="text-center"><a id="detail" href="{% url 'hiburan:addTempat' %}"
                                                class="btn btn-primary"
                                                style="border-radius: 20px;margin-top: 20px;  width: 18rem;">Bagi
                        Informasi Tempat Hiburan</a></div>
                </div>

            </div>


        </div>

    </div>


{% endblock %}

templates/helloworld/cek_tempat.html
{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <title>Cek Tempat</title>
{% endblock %}
{% block headercontent %}
<span style="font-size: 70px; line-height: normal;">Cek Tempat</span>
{% endblock %}
{% block content %}
    
<br><br>
    <div class="container" style="margin: auto;">
        <div class="row justify-content-center ">
            <div class="card text-dark align-items-center m-5"
                style="background-color: #fafafa; width: 20rem; box-shadow: 1px 5px 5px 0 rgba(0,0,0,0.2); margin-right: 50px; margin-bottom: 50px; max-width: 100%; align-content: center; border-radius: 10px ;">
                
    
                <div class="card-body">
                    <!--foto -->
                    <img class="card-img-top border-0" src="{% static 'makan.png' %}" alt="Foto Pasar">
                    <div class="text-center"><a id="detail" href="{% url 'restoran:index' %}"
                            class="btn btn-primary" style="border-radius: 20px;margin-top: 20px;  width: 12rem;">Cek Tempat Makan</a></div>
                </div>
    
            </div>

            <div class="card text-dark align-items-center m-5"
                style="background-color: #fafafa; width: 20rem; box-shadow: 1px 5px 5px 0 rgba(0,0,0,0.2); margin-right: 50px; margin-bottom: 50px; max-width: 100%; align-content: center; border-radius: 10px ;">
                
    
                <div class="card-body">
                    <!--foto -->
                    <img class="card-img-top border-0" src="{% static 'belanja.png' %}" alt="Foto Pasar">
                    <div class="text-center"><a id="detail" href="{% url 'pasar_zaldy:pasar_mainpage' %}"
                            class="btn btn-primary" style="border-radius: 20px; margin-top: 20px;  width: 12rem;">Cek Pasar</a></div>
                </div>
    
            </div>

            <div class="card text-dark align-items-center m-5"
                style="background-color: #fafafa; width: 20rem; box-shadow: 1px 5px 5px 0 rgba(0,0,0,0.2); margin-right: 50px; margin-bottom: 50px; max-width: 100%; align-content: center; border-radius: 10px ;">
                
    
                <div class="card-body">
                    <!--foto -->
                    <img class="card-img-top border-0" src="{% static 'sakit.png' %}" alt="Foto Pasar">
                    <div class="text-center"><a id="detail" href="{% url 'rumah_sakit:index' %}"
                            class="btn btn-primary" style="border-radius: 20px;margin-top: 20px;  width: 12rem;">Cek Rumah Sakit</a></div>
                </div>
    
            </div>

            <div class="card text-dark align-items-center m-5"
                style="background-color: #fafafa; width: 20rem; box-shadow: 1px 5px 5px 0 rgba(0,0,0,0.2); margin-right: 50px; margin-bottom: 50px; max-width: 100%; align-content: center; border-radius: 10px ;">
                
    
                <div class="card-body">
                    <!--foto -->
                    <img class="card-img-top border-0" src="{% static 'main.png' %}" alt="Foto Pasar">
                    <div class="text-center"><a id="detail" href="{% url 'hiburan:index' %}"
                            class="btn btn-primary" style="border-radius: 20px;margin-top: 20px;  width: 12rem;">Cek Tempat Hiburan</a></div>
                </div>
    
            </div>

            
            

            
        </div>
    
    </div>


{% endblock %}

templates/helloworld/index.html
{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <title>Landing Page</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/landingPage.css' %}">
{% endblock %}
{% block headercontent %}
    <span style="font-size: 60px!important; line-height: normal;">GoCek</span>
    <br>
    <div class="d-flex flex-column justify-content-center">
        <div>
            <a class="btn btn-primary btn-block btn-lg" style="border-radius: 22px;"
               href="{% url 'hello_world:cek_tempat' %}" role="button"><strong>Cek Tempat</strong></a>
        </div>
        <div class="mt-2 mb-4">
            <a class="btn btn-primary btn-block btn-lg" style="border-radius: 22px;"
               href="{% url 'hello_world:bagi_informasi' %}" role="button"><strong>Bagi Informasi</strong></a>
        </div>
    </div>
{% endblock %}
{% block content %}
    <div class="wrapper mt-5">
        <div class="makan d-flex justify-content-around">
            <div class="card align-self-begin">
                <div class="card-body">
                    <h5 class="card-title text-center">Cek Tempat Makan</h5>
                    <p class="card-text">Cek restoran merupakan salah satu fitur dimana pengguna dapat mengecek
                        kondisi restoran yang ada seperti alamat, jam operasional, nomor telepon, dan makanan.
                        Pengguna dapat melihat daftar makanan dan tipe restoran dan apakah
                        menerima dine-in atau hanya takeaway. Pengguna dapat memperbarui
                        restoran dan menambah daftar makanan yang dijual.</p>
                </div>
            </div>
            <div class="fluid-container  align-self-end" >
                <img src="{% static 'undraw_location_review_dmxd_2.svg' %}" alt="" style="height: inherit;">
                <!-- undraw_location_review_dmxd_2 -->
                <!-- undraw_placeholders_rklh -->
            </div>
        </div>
        <div class="rs d-flex justify-content-around mt-5">
            <div class="fluid-container  align-self-end" >
                <img src="{% static 'undraw_placeholders_rklh.svg' %}" alt="" style="height: inherit;">
                <!-- undraw_location_review_dmxd_2 -->
                <!-- undraw_placeholders_rklh -->
            </div>
            <div class="card align-self-end " >
                <div class="card-body">
                    <h5 class="card-title text-center">Cek Rumah Sakit</h5>
                    <p class="card-text">Cek Rumah Sakit merupakan salah satu fitur kami dimana para pengguna
                        dapat mengecek kondisi Rumah Sakit di daerah Jakarta seperti apakah Rumah Sakit
                        memiliki pelayanan untuk test Rapid/Swab, penanganan pasien Covid, dokter
                        dan jam pelayanannya. Pengguna juga dapat menambah dan memperbarui informasi terkait
                        rumah sakit tersebut dan menambahkan dokter yang memberikan pelayanan. Pengguna juga
                        dapat menghubungi dokternya langsung melalui Whatsapp.</p>
                </div>
            </div>
        </div>
        <div class="hiburan d-flex justify-content-around mt-5">
            <div class="card align-self-begin" >
                <div class="card-body">
                    <h5 class="card-title text-center">Cek Tempat Hiburan</h5>
                    <p class="card-text">Cek tempat hiburan merupakan salah satu fitur dimana pengguna dapat mengecek
                        kondisi tempat hiburann yang ada seperti alamat, jam operasional, biaya masuk, kontak dan status
                        covid. Pengguna juga dapat melihat beberapa foto terkait tempat tersebut dan menambahkan untuk
                        mengupdate kondisi terkini.</p>
                </div>
            </div>
            <div class="fluid-container  align-self-end" >
                <img src="{% static 'undraw_location_review_dmxd_2.svg' %}" alt="" style="height: inherit;">
                <!-- undraw_location_review_dmxd_2 -->
                <!-- undraw_placeholders_rklh -->
            </div>
        </div>
        <div class="pasar d-flex justify-content-around mt-5">
            <div class="fluid-container  align-self-end" >
                <img src="{% static 'undraw_placeholders_rklh.svg' %}" alt="" style="height: inherit;">
                <!-- undraw_location_review_dmxd_2 -->
                <!-- undraw_placeholders_rklh -->
            </div>
            <div class="card align-self-end " >
                <div class="card-body">
                    <h5 class="card-title text-center">Cek Pasar</h5>
                    <p class="card-text">Cek Pasar merupakan salah satu fitur kami dimana para pengguna
                        dapat mengecek kondisi pasar di daerah Jakarta seperti status covid,
                        jam operasional dan hotline pasar. Selain itu, pengguna juga dapat melihat
                        list penjual pada tiap pasar dan langsung menghubungi via Whatsapp untuk memesan.
                        Terakhir, pengguna dapat menambah, memperbarui pasar serta para penjual dapat mendaftarkan
                        dirinya untuk berjualan.</p>
                </div>
            </div>
        </div>
    </div>
{% endblock %}